com.pivotal.gemfirexd.internal.client.net

## Class NetResultSet

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.ResultSet
  - - com.pivotal.gemfirexd.internal.client.net.NetResultSet

All Implemented Interfaces:
  ResultSetCallbackInterface, UnitOfWorkListener, AutoCloseable, ResultSet, Wrapper

Direct Known Subclasses:
  NetResultSet40

    public abstract class NetResultSet
    extends ResultSet

### Field Summary

Fields
`boolean` `firstOutovrBuilt_`

### Fields inherited from class com.pivotal.gemfirexd.internal.client.am.ResultSet

`ABSOLUTE_ROWSET, absolutePosition_, absoluteRowNumberForTheIntendedRow_, agent_, connection_, currentRowInRowset_, cursor_, cursorHold_, cursorUnpositionedOnServer_, DDM_RETURN_CALLER, DDM_RETURN_CLIENT, fetchDirection_, fetchSize_, FIRST_ROWSET, firstRowInRowset_, generatedSection_, isAfterLast_, isBeforeFirst_, isFirst_, isLast_, isOnCurrentRow_, isRowsetCursor_, isValidCursorPosition_, LAST_ROWSET, lastRowInRowset_, nestingLevel_, NEXT_ROWSET, openOnServer_, PREVIOUS_ROWSET, queryInstanceIdentifier_, queryTerminatingSqlca_, REFRESH_ROWSET, RELATIVE_ROWSET, resultSetConcurrency_, resultSetHoldability_, resultSetMetaData_, resultSetType_, rowCount_, rowsetContainsLastRow_, rowsetSqlca_, rowsReceivedInCurrentRowset_, rowsYetToBeReceivedForRowset_, rsReturnability_, scrollable_, scrollOrientation_absolute__, scrollOrientation_after__, scrollOrientation_before__, scrollOrientation_current__, scrollOrientation_first__, scrollOrientation_last__, scrollOrientation_next__, scrollOrientation_prior__, scrollOrientation_relative__, sensitivity_, sensitivity_insensitive__, sensitivity_sensitive_dynamic__, sensitivity_sensitive_static__, sensitivity_unknown__, statement_, suggestedFetchSize_, updatability_delete__, updatability_readOnly__, updatability_unknown__, updatability_update__`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Method Summary

Methods
`protected void` `parseRowset_()`
`protected void` `preClose_()` Method that is invoked by `closeX()` before the result set is actually being closed.
`void` `readCursorClose_()`
`void` `readFetch_()`
`void` `readPositioningFetch_()`
`void` `readScrollableFetch_()`
`void` `setFetchSize_(int rows)`
`void` `writeCursorClose_(Section section)`
`void` `writeFetch_(Section section)`
`void` `writePositioningFetch_(Section section, int orientation, long rowToFetch)`
`void` `writeScrollableFetch_(Section section, int fetchSize, int orientation, long rowToFetch, boolean resetQueryBlocks)`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.am.ResultSet

`absolute, absoluteX, accumulateWarning, afterLast, beforeFirst, cancelRowUpdates, checkAndThrowReceivedQueryTerminatingException, checkForClosedResultSet, clearWarnings, clearWarningsX, close, closeX, completeLocalCommit, completeLocalRollback, completeSqlca, delete, deleteRow, earlyCloseComplete, expandRowsetSqlca, findColumn, first, flowFetch, flowPositioningFetch, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getConcurrency, getConnectionCallbackInterface, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getLong, getMetaData, getObject, getObject, getObject, getObject, getRef, getRef, getRow, getRowCount, getRSReturnability, getShort, getShort, getStatement, getStatementCallbackInterface, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getType, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, insert, insertRow, isAfterLast, isBeforeFirst, isClosed, isFirst, isLast, last, listenToUnitOfWork, markClosedOnServer, markLOBAsAccessed, moveToAfterLast, moveToBeforeFirst, moveToCurrentRow, moveToInsertRow, next, nullDataForGC, parseScrollableRowset, positionToCurrentRowAndDelete, positionToCurrentRowAndUpdate, previous, readDeleteRow, readInsertRow, readUpdateRow, refreshRow, relative, repositionScrollableResultSetBeforeJDBC1PositionedUpdateDelete, rowCountIsKnown, rowCountIsUnknown, rowDeleted, rowInserted, rowUpdated, setFetchDirection, setFetchSize, setRowCountEvent, setRowsetAfterLastEvent, setRowsetBeforeFirstEvent, setRowsetNoRowsEvent, setRSReturnability, setValidCursorPosition, update, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBlob, updateBoolean, updateBoolean, updateByte, updateByte, updateBytes, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateClob, updateClob, updateColumnInfoFromCache, updateDate, updateDate, updateDouble, updateDouble, updateFloat, updateFloat, updateInt, updateInt, updateLong, updateLong, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNull, updateNull, updateObject, updateObject, updateObject, updateObject, updateRef, updateRef, updateRow, updateShort, updateShort, updateString, updateString, updateTime, updateTime, updateTimestamp, updateTimestamp, wasNull, writeDeleteRow, writeInsertRow, writeUpdateRow`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getRowId, getRowId, getSQLXML, getSQLXML, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNString, updateNString, updateRowId, updateRowId, updateSQLXML, updateSQLXML`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Field Detail

#### firstOutovrBuilt_

    public boolean firstOutovrBuilt_

### Method Detail

#### parseRowset_

    protected void parseRowset_()
                         throws SqlException

Specified by:
  `parseRowset_` in class `ResultSet`
Throws:
  `SqlException`

#### setFetchSize_

    public void setFetchSize_(int rows)

Specified by:
  `setFetchSize_` in class `ResultSet`

#### writeFetch_

    public void writeFetch_(Section section)
                     throws SqlException

Specified by:
  `writeFetch_` in class `ResultSet`
Throws:
  `SqlException`

#### readFetch_

    public void readFetch_()
                    throws SqlException

Specified by:
  `readFetch_` in class `ResultSet`
Throws:
  `SqlException`

#### writeScrollableFetch_

    public void writeScrollableFetch_(Section section,
                             int fetchSize,
                             int orientation,
                             long rowToFetch,
                             boolean resetQueryBlocks)
                               throws SqlException

Specified by:
  `writeScrollableFetch_` in class `ResultSet`
Throws:
  `SqlException`

#### readScrollableFetch_

    public void readScrollableFetch_()
                              throws SqlException

Specified by:
  `readScrollableFetch_` in class `ResultSet`
Throws:
  `SqlException`

#### writePositioningFetch_

    public void writePositioningFetch_(Section section,
                              int orientation,
                              long rowToFetch)
                                throws SqlException

Specified by:
  `writePositioningFetch_` in class `ResultSet`
Throws:
  `SqlException`

#### readPositioningFetch_

    public void readPositioningFetch_()
                               throws SqlException

Specified by:
  `readPositioningFetch_` in class `ResultSet`
Throws:
  `SqlException`

#### writeCursorClose_

    public void writeCursorClose_(Section section)
                           throws SqlException

Specified by:
  `writeCursorClose_` in class `ResultSet`
Throws:
  `SqlException`

#### readCursorClose_

    public void readCursorClose_()
                          throws SqlException

Specified by:
  `readCursorClose_` in class `ResultSet`
Throws:
  `SqlException`

#### preClose_

    protected void preClose_()
                      throws SqlException

Method that is invoked by `closeX()` before the result set is actually being closed. If QRYCLSIMP is enabled on the cursor, scan data buffer for end of data (SQL state 02000). If end of data is received, the result set is closed on the server.

Specified by:
  `preClose_` in class `ResultSet`
Throws:
  `SqlException`